clear
clc

format short

# Criando as variáveis D, S, E, Q, para que elas
#   possam assumir diferentes valores no problema
D = 1;
S = 1;
E = 1;
Q = 1;

# Definindo os coeficientes do polinômio
a = (1.49^3)*(D^5)*(S^(3/2))/E^3;
b = -4*(Q^3);
c = -4*(Q^3)*D;
d = -(Q^3)*(D^2);

coef = [a 0 0 b c d];

#################
### Estação A ###
#################

D = 20;
S = 0.0001;
E = 0.030;
Q = 133;

raizes_A = roots(coef);

y_A = raizes_A(1);

fprintf('Profundidade do canal A = %f \n',y_A)

#################
### Estação B ###
#################

D = 21.5;
S = 0.0001;
E = 0.030;
Q = 122.3;

#atualizando os coeficientes do polinômio

a = (1.49^3)*(D^5)*(S^(3/2))/E^3;
b = -4*(Q^3);
c = -4*(Q^3)*D;
d = -(Q^3)*(D^2);

coef = [a 0 0 b c d];

raizes_B = roots(coef);

y_B = raizes_B(1);

fprintf('Profundidade do canal B = %f \n',y_B)
