clear
clc

# Definindo os parâmetros
L = 10;
r = 1;
V = 12.4;

# definindo a função de h
f=@(h) L*(0.5*pi*r^2 - (r^2)*asin(h/r) - h*sqrt(r^2-h^2))-V;


#laço for para procurar uma aproximação para a função
#depois de executar e encontrar o zero, ele pode ser comentado
##for i=0:10
##  fprintf('f(%d)=%f \n',i,f(i))
##endfor
# f tem um zero entre 0 e 1

# definindo os parâmetros para o método da bisseção
a = 0;
b = 1;
x = (a+b)/2;

while abs(b-a)/2 >= 10^(-6)
  x = (a+b)/2;
  if f(a)*f(x) <0
    b = x;
  else
    a = x;
  endif
endwhile

fprintf('A profundidade é de %.6f, com erro %e \n',x,abs(b-a)/2)
